New macOS Build

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

New macOS Build

Dave Page-7
Hi Fahar,

I've stood up a new macOS build server (as the old one is getting unreliable). Can you please test the build at https://developer.pgadmin.org/builds/2019-04-15-macos2-test2/? Please remember to test the file dialogue and external processes as those are the places most likely to be affected (everything else is likely to be fine if we can connect to the database, browse the schema and run queries).

All;

It seems that supporting macOS < 10.12 (Sierra) is somewhat hard now, as Qt have dropped support for it, and Apple also seem to be using that as a compatibility break version. Does anyone see any major reason why we can't require 10.12 or later for pgAdmin?

Note that I've already updated the website to say we only support 10.12+. For now though, that's just meant as "discouragement" rather than a hard and fast rule.

Thanks.

--
Dave Page
Blog: http://pgsnake.blogspot.com
Twitter: @pgsnake

EnterpriseDB UK: http://www.enterprisedb.com
The Enterprise PostgreSQL Company
Reply | Threaded
Open this post in threaded view
|

Re: New macOS Build

fahar
Hi Dave,


On Mon, Apr 15, 2019 at 4:39 PM Dave Page <[hidden email]> wrote:
Hi Fahar,

I've stood up a new macOS build server (as the old one is getting unreliable). Can you please test the build at https://developer.pgadmin.org/builds/2019-04-15-macos2-test2/? Please remember to test the file dialogue and external processes as those are the places most likely to be affected (everything else is likely to be fine if we can connect to the database, browse the schema and run queries).

I have already performed the smoke verification on MAC 10.12, MAC 10.13 and MAC 10.14 and no issue found so while detail verification is in progress.

All;

It seems that supporting macOS < 10.12 (Sierra) is somewhat hard now, as Qt have dropped support for it, and Apple also seem to be using that as a compatibility break version. Does anyone see any major reason why we can't require 10.12 or later for pgAdmin?

Note that I've already updated the website to say we only support 10.12+. For now though, that's just meant as "discouragement" rather than a hard and fast rule.

Thanks.

--
Dave Page
Blog: http://pgsnake.blogspot.com
Twitter: @pgsnake

EnterpriseDB UK: http://www.enterprisedb.com
The Enterprise PostgreSQL Company


--
Fahar Abbas
QMG
EnterpriseDB Corporation
Phone Office: +92-51-835-8874
Phone Direct: +92-51-8466803
Mobile: +92-333-5409707
Skype ID: live:fahar.abbas
Website: www.enterprisedb.com
Reply | Threaded
Open this post in threaded view
|

Re: New macOS Build

Dave Page-7


On Mon, Apr 15, 2019 at 1:43 PM Fahar Abbas <[hidden email]> wrote:
Hi Dave,


On Mon, Apr 15, 2019 at 4:39 PM Dave Page <[hidden email]> wrote:
Hi Fahar,

I've stood up a new macOS build server (as the old one is getting unreliable). Can you please test the build at https://developer.pgadmin.org/builds/2019-04-15-macos2-test2/? Please remember to test the file dialogue and external processes as those are the places most likely to be affected (everything else is likely to be fine if we can connect to the database, browse the schema and run queries).

I have already performed the smoke verification on MAC 10.12, MAC 10.13 and MAC 10.14 and no issue found so while detail verification is in progress.

Great, thanks!
 

All;

It seems that supporting macOS < 10.12 (Sierra) is somewhat hard now, as Qt have dropped support for it, and Apple also seem to be using that as a compatibility break version. Does anyone see any major reason why we can't require 10.12 or later for pgAdmin?

Note that I've already updated the website to say we only support 10.12+. For now though, that's just meant as "discouragement" rather than a hard and fast rule.

Thanks.

--
Dave Page
Blog: http://pgsnake.blogspot.com
Twitter: @pgsnake

EnterpriseDB UK: http://www.enterprisedb.com
The Enterprise PostgreSQL Company


--
Fahar Abbas
QMG
EnterpriseDB Corporation
Phone Office: +92-51-835-8874
Phone Direct: +92-51-8466803
Mobile: +92-333-5409707
Skype ID: live:fahar.abbas
Website: www.enterprisedb.com


--
Dave Page
Blog: http://pgsnake.blogspot.com
Twitter: @pgsnake

EnterpriseDB UK: http://www.enterprisedb.com
The Enterprise PostgreSQL Company